Đến nội dung


Hình ảnh
* * * - - 8 Bình chọn

Viết lisp theo yêu cầu [phần 2]


  • Chủ đề bị khóa Chủ đề bị khóa
3783 replies to this topic

#2061 svba1608

svba1608

    Tưởng Thị Tú Khuyên

  • Moderator
  • PipPipPipPipPipPipPip
  • 601 Bài viết
Điểm đánh giá: 620 (tốt)

Đã gửi 01 October 2010 - 09:16 AM

Xin chào các anh chị em!
Hôm nay em muốn nhờ viết một lisp như sau:
Bản vẽ em nhận được (bản vẽ chi tiết phường Đằng Lâm - quận Hải An - thành phố Hải Phòng) không hiểu vì sao xuất hiện rất nhiều text có cùng nội dung "UBND" và "phường Đằng Lâm" như hình minh họa sau:

Hình đã gửi

Để minh chứng cho điều này, em đã tạo một block có tên là "tron100", hình tròn hatch ANSI31 màu xanh bao quanh một số text mà em tìm thấy, như hình minh họa sau:

Hình đã gửi

Có thể tìm thấy các block này bằng lệnh fi. Nhưng em không thể tìm thấy tất cả các text này bằng thủ công hay bằng lệnh fi (để xóa đi)
Vậy có cách nào tìm các đối tượng theo 2 điều kiện của cả text "UBND" và text "phường Đằng Lâm" (dùng lệnh fi cho cả 2 text này không được).
Xin gửi kèm file mô tả
Nhờ mọi người giải đáp giùm! Xin chân thành cảm ơn!
  • 0
http://khuyen.space

#2062 trinhvqh

trinhvqh

    biết lệnh block

  • Members
  • PipPipPipPipPipPip
  • 408 Bài viết
Điểm đánh giá: 222 (khá)

Đã gửi 01 October 2010 - 09:30 AM

Xin chào các anh chị em!
Hôm nay em muốn nhờ viết một lisp như sau:

Có thể tìm thấy các block này bằng lệnh fi. Nhưng em không thể tìm thấy tất cả các text này bằng thủ công hay bằng lệnh fi (để xóa đi)
Vậy có cách nào tìm các đối tượng theo 2 điều kiện của cả text "UBND" và text "phường Đằng Lâm" (dùng lệnh fi cho cả 2 text này không được).
Xin gửi kèm file mô tả
Nhờ mọi người giải đáp giùm! Xin chân thành cảm ơn!


Tôi đã thử fie của bạn!
Dùng lệnh chọn Similar và Quick Select có 216 đối tượng Text "Phường Đằng Lâm" và 211 Text "UBND"
Lọc được thì xoá được
  • 1

#2063 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3804 (đỉnh cao)

Đã gửi 01 October 2010 - 09:51 AM

Xin chào các anh chị em!
Hôm nay em muốn nhờ viết một lisp như sau:
Bản vẽ em nhận được (bản vẽ chi tiết phường Đằng Lâm - quận Hải An - thành phố Hải Phòng) không hiểu vì sao xuất hiện rất nhiều text có cùng nội dung "UBND" và "phường Đằng Lâm" như hình minh họa sau:

Hình đã gửi

Để minh chứng cho điều này, em đã tạo một block có tên là "tron100", hình tròn hatch ANSI31 màu xanh bao quanh một số text mà em tìm thấy, như hình minh họa sau:

Hình đã gửi

Có thể tìm thấy các block này bằng lệnh fi. Nhưng em không thể tìm thấy tất cả các text này bằng thủ công hay bằng lệnh fi (để xóa đi)
Vậy có cách nào tìm các đối tượng theo 2 điều kiện của cả text "UBND" và text "phường Đằng Lâm" (dùng lệnh fi cho cả 2 text này không được).
Xin gửi kèm file mô tả
Nhờ mọi người giải đáp giùm! Xin chân thành cảm ơn!

Anh cũng không thấy có vấn đề gì cả svba à? Filter chọn vẫn được, Erase vẫn ngon lành..
Nếu muốn chọn text "UBND" và text "phường Đằng Lâm" cùng 1 lúc thì dùng lệnh Filter (**Begin Or ..... ** End or
Trường hợp của em chọn không được có phải là giống như 1 lần trước đây, em gửi 1 file cho anh và nói rằng file đó không làm gì với Text được? Không sử dụng bất kì lệnh hiệu chỉnh nào đối với Text? Có phải như vậy không?
  • 1

#2064 svba1608

svba1608

    Tưởng Thị Tú Khuyên

  • Moderator
  • PipPipPipPipPipPipPip
  • 601 Bài viết
Điểm đánh giá: 620 (tốt)

Đã gửi 01 October 2010 - 10:11 AM

Tôi đã thử fie của bạn!
Dùng lệnh chọn Similar và Quick Select có 216 đối tượng Text "Phường Đằng Lâm" và 211 Text "UBND"
Lọc được thì xoá được


Cảm ơn anh trinhvqh! Em không muốn chọn 216 text "Phường Đằng Lâm" và 211 text "UBND". Em muốn chọn tất cả các cặp text gồm "Phường Đằng Lâm" và "UBND".
Rất cảm ơn anh đã giúp đỡ

Anh cũng không thấy có vấn đề gì cả svba à? Filter chọn vẫn được, Erase vẫn ngon lành..
Nếu muốn chọn text "UBND" và text "phường Đằng Lâm" cùng 1 lúc thì dùng lệnh Filter (**Begin Or ..... ** End or
Trường hợp của em chọn không được có phải là giống như 1 lần trước đây, em gửi 1 file cho anh và nói rằng file đó không làm gì với Text được? Không sử dụng bất kì lệnh hiệu chỉnh nào đối với Text? Có phải như vậy không?


Cảm ơn anh Tue_NV! Lần này thì em "làm gì" được với Text. Nhưng cái món "**Begin Or ..... ** End or" thì em chưa biết bao giờ, anh có thể chỉ cho em được không?
  • 0
http://khuyen.space

#2065 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3804 (đỉnh cao)

Đã gửi 01 October 2010 - 10:31 AM

......... Em muốn chọn tất cả các cặp text gồm "Phường Đằng Lâm" và "UBND".
Rất cảm ơn anh đã giúp đỡ
Cảm ơn anh Tue_NV! Lần này thì em "làm gì" được với Text. Nhưng cái món "**Begin Or ..... ** End or" thì em chưa biết bao giờ, anh có thể chỉ cho em được không?

Em theo dõi hình vẽ này.
Hình đã gửi
Anh tin em sẽ làm được
Chúc thành công :(

Em chú ý rằng filter với cách như trên : là chọn không phải theo cặp như em mong muốn đâu nhé. Em thử là biết liền
Nếu muốn chọn theo cặp -> chỉ có thể dùng Lisp mà thôi. Hơi bị khó vì các Text của em sắp xếp không theo 1 quy luật nào cả
  • 0

#2066 hdt4151

hdt4151

    biết vẽ pline

  • Members
  • PipPip
  • 69 Bài viết
Điểm đánh giá: -1 (bình thường)

Đã gửi 01 October 2010 - 11:16 AM

Mình có phần hatch của 1 đa giác (đa giác trước đó đã bị xóa) , nhờ các bạn giúp mình viết lisp ghi ra tọa độ đỉnh của đa giác (theo thứ tự tạo thành đa giác) . VD: hình chữ nhật được tạo thành bởi A B C D => thự tự là A B C D hoặc B C D A .. không thể là A C B D
  • 0

#2067 master_worse

master_worse

    biết lệnh offset

  • Advance Member
  • PipPipPip
  • 170 Bài viết
Điểm đánh giá: 87 (tàm tạm)

Đã gửi 01 October 2010 - 11:26 AM

Mình có phần hatch của 1 đa giác (đa giác trước đó đã bị xóa) , nhờ các bạn giúp mình viết lisp ghi ra tọa độ đỉnh của đa giác (theo thứ tự tạo thành đa giác) . VD: hình chữ nhật được tạo thành bởi A B C D => thự tự là A B C D hoặc B C D A .. không thể là A C B D

Bạn sang đây xem thử
http://www.cadviet.c...owtopic=18&st=0
  • 0

Ngu dốt không đáng thẹn bằng thiếu ý chí học hỏi


Tri thức làm người ta khiêm tốn, ngu si làm người ta kiêu ngạo (Ngạn ngữ Anh)


#2068 duy782006

duy782006

    PHẠM QUỐC DUY

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 2155 Bài viết
Điểm đánh giá: 1359 (rất tốt)

Đã gửi 01 October 2010 - 11:29 AM

Mình có phần hatch của 1 đa giác (đa giác trước đó đã bị xóa) , nhờ các bạn giúp mình viết lisp ghi ra tọa độ đỉnh của đa giác (theo thứ tự tạo thành đa giác) . VD: hình chữ nhật được tạo thành bởi A B C D => thự tự là A B C D hoặc B C D A .. không thể là A C B D

Hatch mà muốn có lại biên của nó thì. kích 2 phát vài nó ra cái bảng hatch edit chọn vào mục Recreate boundary là có lại biên. Còn lisp lấy tọa độ dỉnh pline thì quá trời trên caviet đấy.
  • 0

Cứ ngỡ trần gian là cõi thật.Cho nên tất bật đến bây giờ.
Tạo hộp thoại bằng lisp My blog QUY ĐỊNH ĐẶT TÊN TOPIC TRONG CHUYÊN MỤC LISPD http://ktsduy.wordpress.com/
Để cám ơn chỉ cần nhấn rep_up.png
(Là nhấn vào nút đó phía bài viết của người ta í chứ đừng có nhè cái hình này mà nhấn miết đi nha :-D


#2069 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3804 (đỉnh cao)

Đã gửi 01 October 2010 - 11:35 AM

Hatch mà muốn có lại biên của nó thì. kích 2 phát vài nó ra cái bảng hatch edit chọn vào mục Recreate boundary là có lại biên. Còn lisp lấy tọa độ dỉnh pline thì quá trời trên caviet đấy.

Nhưng mờ ý của bạn hdt4151 như thế này cơ :
http://www.cadviet.c...showtopic=25233
@ hdt4151
1. Bạn nên rút kinh nghiệm không nên post 1 chủ đề ở 2 topic khác nhau
2. Bạn nên minh hoạ rõ hơn kết quả bạn cần xuất. Chẳng hiểu mô tê gì cả. Không biết được kết quả cuối cùng bạn muốn là gì? Bạn minh hoạ cụ thể qua file .dwg nhé
  • 1

#2070 hdt4151

hdt4151

    biết vẽ pline

  • Members
  • PipPip
  • 69 Bài viết
Điểm đánh giá: -1 (bình thường)

Đã gửi 01 October 2010 - 11:38 AM

Những việc như bạn nói trên thì hoàn toàn phải dùng tay, ở đây mình muốn gói gọn thành 1 lisp , chỉ cần chọn hatch => xuất ra toạ độ điểm theo thứ tự tạo thành đa giác. Mình có gần 50 cái hatch như vậy !

Thực ra mục đích chính của mình là pick 1 điểm vào giữa khối đa giác có sẵn (tạo thành bởi line, ko phải polyline)=> tạo thành 1 boundary của khối đa giác đó => xuất ra theo thứ tự tọa độ của đỉnh đa giác. Nếu bạn giúp được mình thì tốt quá :(

Đây là hình mình họa:
http://www.cadviet.c...es/3/dagiac.dwg

Kết quả cần xuất là tọa độ X,Y đỉnh của đa giác (xuất ra trực tiếp, ra file text text thì càng tốt)
  • 0

#2071 phamngoctukts

phamngoctukts

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 1107 Bài viết
Điểm đánh giá: 696 (tốt)

Đã gửi 01 October 2010 - 12:55 PM

Thực ra mục đích chính của mình là pick 1 điểm vào giữa khối đa giác có sẵn (tạo thành bởi line, ko phải polyline)=> tạo thành 1 boundary của khối đa giác đó => xuất ra theo thứ tự tọa độ của đỉnh đa giác. Nếu bạn giúp được mình thì tốt quá :(

Đây là hình mình họa:
http://www.cadviet.c...es/3/dagiac.dwg

Kết quả cần xuất là tọa độ X,Y đỉnh của đa giác (xuất ra trực tiếp, ra file text text thì càng tốt)

Cái này mình làm theo đúng ý của bạn. Nó xuất toạ độ các đỉnh ra file txt trong cùng thư mục và cùng tên với bản vẽ đang mở.

;; free lisp from cadviet.com
(defun c:tdd ( / tmp dlst p1 file opw msg id)
(setq dlst (list(strcat "X" "\t" "Y" "\t" "Z" "\n"))
oldos (getvar "osmode")
file (strcat (getvar "DWGPREFIX") (substr (getvar "DWGNAME") 1 (- (strlen (getvar "DWGNAME")) 4)) ".txt")
p (getpoint "\nChon diem nam trong da giac:")
i 0)
(setvar "osmode" 0)
(command "boundary" p "")
(setq name (entlast))
(while (/= (vlax-curve-getPointAtParam (vlax-ename->vla-object name) (1+ i)) nil)
(setq p1 (vlax-curve-getPointAtParam (vlax-ename->vla-object name) i)
dlst (append (list (strcat (rtos (car p1) 2 3)
"\t"
(rtos (cadr p1) 2 3)
"\t"
(rtos (caddr p1) 2 3)
)
)
dlst)
)
(setq i (1+ i))
)
(setq dlst (reverse dlst))
(setq ;file "d:\\tien\\diem.txt"
opw (open file "w")
)
(foreach n dlst (write-line n opw))
(close opw)
(setvar "osmode" oldos)
)
)

  • 2
Tất cả vì sự phát triển của diễn đàn ...
Cám ơn đừng nói lời suông mà hãy nhấn Hình đã gửi!

#2072 duy782006

duy782006

    PHẠM QUỐC DUY

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 2155 Bài viết
Điểm đánh giá: 1359 (rất tốt)

Đã gửi 01 October 2010 - 01:37 PM

Những việc như bạn nói trên thì hoàn toàn phải dùng tay, ở đây mình muốn gói gọn thành 1 lisp , chỉ cần chọn hatch => xuất ra toạ độ điểm theo thứ tự tạo thành đa giác. Mình có gần 50 cái hatch như vậy !

Thực ra mục đích chính của mình là pick 1 điểm vào giữa khối đa giác có sẵn (tạo thành bởi line, ko phải polyline)=> tạo thành 1 boundary của khối đa giác đó => xuất ra theo thứ tự tọa độ của đỉnh đa giác. Nếu bạn giúp được mình thì tốt quá :(

Đây là hình mình họa:
http://www.cadviet.c...es/3/dagiac.dwg

Kết quả cần xuất là tọa độ X,Y đỉnh của đa giác (xuất ra trực tiếp, ra file text text thì càng tốt)

Thực ra thực ra cái con khỉ ấy ông nhá cái mục đích chính và cái ông hỏi chả có liên quan chi cả.
  • 0

Cứ ngỡ trần gian là cõi thật.Cho nên tất bật đến bây giờ.
Tạo hộp thoại bằng lisp My blog QUY ĐỊNH ĐẶT TÊN TOPIC TRONG CHUYÊN MỤC LISPD http://ktsduy.wordpress.com/
Để cám ơn chỉ cần nhấn rep_up.png
(Là nhấn vào nút đó phía bài viết của người ta í chứ đừng có nhè cái hình này mà nhấn miết đi nha :-D


#2073 hdt4151

hdt4151

    biết vẽ pline

  • Members
  • PipPip
  • 69 Bài viết
Điểm đánh giá: -1 (bình thường)

Đã gửi 01 October 2010 - 01:39 PM

Thanks bạn !! Nhờ bạn chút nữa được ko: không cần ghi tọa độ Z, xóa đi cái buondary sau khi đã hoàn tất, dùng notepad mở file đó :(
  • 0

#2074 gia_bach

gia_bach

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 1436 Bài viết
Điểm đánh giá: 1426 (rất tốt)

Đã gửi 01 October 2010 - 02:55 PM

Xin chào các anh chị em!
Hôm nay em muốn nhờ viết một lisp như sau:
Bản vẽ em nhận được (bản vẽ chi tiết phường Đằng Lâm - quận Hải An - thành phố Hải Phòng) không hiểu vì sao xuất hiện rất nhiều text có cùng nội dung "UBND" và "phường Đằng Lâm" như hình minh họa sau:

Hình đã gửi
.................
Vậy có cách nào tìm các đối tượng theo 2 điều kiện của cả text "UBND" và text "phường Đằng Lâm" (dùng lệnh fi cho cả 2 text này không được).
Xin gửi kèm file mô tả
Nhờ mọi người giải đáp giùm! Xin chân thành cảm ơn!

Chào svba1608
Bạn thử chạy LISP filterTxt .
Kết quả sẽ lọc các cặp TEXT "UBND" và "Phường Đằng Lâm" ra Layer có tên LayerFilter.
(defun c:filterTxt (/ ent ent1 i p1 p2 ss ss1 text1 text2)
(if (not(tblsearch "layer" "LayerFilter") )
(command "-layer" "n" "LayerFilter" "") )
(setq text1 "UBND"
text2 "Ph??ng §?ng L?m")
(setq ss (ssget (list '(0 . "Text") (cons 1 text1) (cons 8 "TT_CHU") (cons 40 0.7)))
i -1 )
(while (setq ent (ssname ss (setq i (1+ i))))
(setq p1 (cdr (assoc 10 (entget ent)))
p2 (polar p1 -1.4 1.6))
(if (and
(setq ss1 (ssget "c" p1 p2 (list(cons 0 "Text") (cons 1 text2) (cons 8 "TT_CHU") (cons 40 0.7))))
(=(sslength ss1) 1))
(progn
(setq ent1 (ssname ss1 0))
(entmod (subst (cons 8 "LayerFilter") (assoc 8 (entget ent)) (entget ent)))
(entmod (subst (cons 8 "LayerFilter") (assoc 8 (entget ent1)) (entget ent1))) ) ))
(princ))

  • 1

#2075 hdt4151

hdt4151

    biết vẽ pline

  • Members
  • PipPip
  • 69 Bài viết
Điểm đánh giá: -1 (bình thường)

Đã gửi 01 October 2010 - 04:38 PM

Cái này mình làm theo đúng ý của bạn. Nó xuất toạ độ các đỉnh ra file txt trong cùng thư mục và cùng tên với bản vẽ đang mở.


;; free lisp from cadviet.com
(defun c:tdd ( / tmp dlst p1 file opw msg id)
(setq dlst (list(strcat "X" "\t" "Y" "\t" "Z" "\n"))
oldos (getvar "osmode")
file (strcat (getvar "DWGPREFIX") (substr (getvar "DWGNAME") 1 (- (strlen (getvar "DWGNAME")) 4)) ".txt")
p (getpoint "\nChon diem nam trong da giac:")
i 0)
(setvar "osmode" 0)
(command "boundary" p "")
(setq name (entlast))
(while (/= (vlax-curve-getPointAtParam (vlax-ename->vla-object name) (1+ i)) nil)
(setq p1 (vlax-curve-getPointAtParam (vlax-ename->vla-object name) i)
dlst (append (list (strcat (rtos (car p1) 2 3)
"\t"
(rtos (cadr p1) 2 3)
"\t"
(rtos (caddr p1) 2 3)
)
)
dlst)
)
(setq i (1+ i))
)
(setq dlst (reverse dlst))
(setq ;file "d:\\tien\\diem.txt"
opw (open file "w")
)
(foreach n dlst (write-line n opw))
(close opw)
(setvar "osmode" oldos)
)
)



Bạn ơi khi mình dùng lệnh UCS chuyển tọa độ 0,0 về 1 điểm mới thì chạy lisp không ra được kết quả đúng, nó chỉ trả về tọa độ ứng với điểm 0,0 ban đầu. Bạn kiểm tra lại giúp mình nhé.

Bạn viết lại lisp theo cấu trúc này được không:
- Pick vào 1 điểm => tạo boundary => xuất ra tọa độ vào file text. (Không cần ghi tọa độ Z) => xóa boundary vừa tạo.
- Thông báo lựa chọn tiếp tục hay dừng Y/N , mặc định là Y
- Nhấn Enter để tiếp tục pick tiếp => xuất ra vào text đã có sẵn trên, dữ liệu ghi thêm vào phía dưới.
- Kết thúc lisp khi chọn N
  • 0

#2076 kamezoko

kamezoko

    biết vẽ line

  • Members
  • PipPip
  • 25 Bài viết
Điểm đánh giá: -3 (bình thường)

Đã gửi 01 October 2010 - 05:17 PM

tôi kiếm trên diễn đàn có lisp của anh ssg rất hay:
http://www.cadviet.c...pfiles/3/vc.lsp
tôi muốn lisp tính thêm diện tích(phần diện tích thì chỉ cấn 1 số lẻ),và tất cả được phân cách bằng dấu "," kể cả kích thước cạnh
mong các anh giúp dùm...cám ơn nhiều :(

có anh nào giúp em với...em cám ơn
  • 0

#2077 phamthanhbinh

phamthanhbinh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 6009 Bài viết
Điểm đánh giá: 3113 (tuyệt vời)

Đã gửi 01 October 2010 - 06:07 PM

có anh nào giúp em với...em cám ơn

Hề hề hề, muốn giúp lắm mà bạn trình bày hơi lủng củng nên chưa hiểu ý bạn ra sao mà giúp.
Tất cả được phân các bằng dấu phẩy nghĩa là sao nhỉ?? Cái lisp này tạo bảng chứ đâu có viết ra text mà phân cách chi??? Hay bạn muốn nói tới cái dấu phân cách phần thập phân và phần nguyên??? Nếu vậy thì bạn muốn phần thập phân có bao nhiêu chữ số????
Túm lại là bạn cứ post một file thể hiện kết quả của lisp cũ và thể hiện cái kết quả bạn muốn có. Đồng thới nếu không quá bí mật thì bạn hãy post một file CAD của cái bạn định làm cho anh em tiện bề kiểm tra lisp. Như thế có lẽ đỡ phải trình bày lôi thôi và đỡ khó hiểu hơn bạn ạ.
Đừng cho rằng tất cả mọi người đều đọc được cái bạn nghĩ trong đầu, nên hãy cố gắng trình bày càng cụ thể càng tỷ mỉ càng tốt bạn nhé. Kinh nghiệm của mình cho thấy trình bày vấn đề càng sáng sủa, càng cụ thể thì mọi người càng dễ hiểu và càng có nhiều cơ hội giúp được bạn.
Chờ thông tin của bạn.
Hề hề hề,.....
Chúc bạn vui....
PS: mình đã đọc cái lisp của bạn gửi, đúng là bác SSG và bác Ellse gì đó viết lisp ác thật, đọc không dễ chút nào. Vậy nên sửa nó cũng không dễ lắm đâu. Hề hề hề....
  • 1
Chúc các quý Anh trên diễn đàn luôn khỏe, đẻ thêm được nhiều thứ để mót.

#2078 kamezoko

kamezoko

    biết vẽ line

  • Members
  • PipPip
  • 25 Bài viết
Điểm đánh giá: -3 (bình thường)

Đã gửi 01 October 2010 - 06:19 PM

ý em là các kích thước cạnh được phân cách bằng dấu "," chứ không phải dấu "." như lisp đã thực hiện.
em muốn lisp thực hiện thêm việc tích diện tích và ghi ra tại ngay điễm đả pick..
đây là file mẩu
http://www.cadviet.c...les/3/vd1_1.dwg
  • 0

#2079 kamezoko

kamezoko

    biết vẽ line

  • Members
  • PipPip
  • 25 Bài viết
Điểm đánh giá: -3 (bình thường)

Đã gửi 01 October 2010 - 06:24 PM

lisp này chỉ pick đươc 1 miền kính,nếu pick được 2 miền kình trờ lên thì rất tốt..
đây là file mẩu(ko có bảng tọa độ)
http://www.cadviet.c...iles/3/vd_3.dwg
  • 0

#2080 quycu87

quycu87

    Chưa sử dụng CAD

  • Members
  • Pip
  • 4 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 01 October 2010 - 07:02 PM

chào cả nhà
mình là thành viên mới của cadviet.com
minh nghe nói trong này có nhiều BÁC siêu về cad hay đúng hon là autolist
mình là dân cầu đường mà chưa hiều j về list mong các Bác trong diễn đàn trợ giúp
chân thành cảm ơn nhưng không có hậu tạ
ai co dịp ra nghê an gọi cho mình theo số này nhé
0922404609 or 0972972957 gặp CỬ
đi uống cafe giao luu các bạn nha!
:cheers: :cheers: :cheers: :cheers: :cheers: :cheers: :ph34r: :ph34r: :ph34r:
  • 0